Clarify data requirements for basic VE rendering
Closed, ResolvedPublic8 Story Points

Description

In the context of the move to separate data-mw storage and -retrieval (T78676) the question of which data VisualEditor needs *in principle* to initialize a basic edit interface has come up repeatedly. The question is not about limitations of the current implementation, but about which data will be needed in any implementation. This is important for performance, as some envisioned performance improvements from the split of data-mw can only be realized if VE can render a basic edit view with HTML only.

The main sticky point seems to be about references:

For references, we need to know (a) the provenance of the reference (where it was generated, local or remote) and the content (what template name, if any, so we can provide the right editing tool). For reference lists, we need the contents of the references to render them in place correctly (and dynamically).

To non-VE-experts, it is not clear how a) affects the rendering. The content for b) tends to be available in the HTML.

@Esanders @AlexMonk-WMF @Jdforrester-WMF: Could you clarify VisualEditor data requirements?

GWicke created this task.Mar 24 2016, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2016, 8:29 PM
GWicke triaged this task as High priority.Mar 24 2016, 8:29 PM

I marked this as high priority, as we could try to accommodate specific requirements now & avoid a format change for this in the future.

Jdforrester-WMF set the point value for this task to 8.May 10 2016, 4:49 PM
Jdforrester-WMF assigned this task to Esanders.

Ed, could you detail this for Services please?

This would be fairly disruptive to the code and user interaction as we assume everywhere that the document is fully loaded. For now VE would just wait until the data-mw was loaded and stitch the full document back together.

Izno moved this task from Unsorted backlog to External on the Cite board.Jun 24 2016, 3:53 PM
Pchelolo moved this task from Backlog to watching on the Services board.Oct 12 2016, 5:29 PM
Pchelolo edited projects, added Services (watching); removed Services.

This has been sitting around for a while. Is it resolved, or is there more to do?

I don't think we are clear on the data requirements yet. However, the data-mw separation has been delayed repeatedly, so this hasn't been an issue yet.

I am sure the question will come up again once that topic is tackled, but this task can safely be closed & re-created later.

Deskana closed this task as Resolved.Mon, Oct 16, 7:35 PM

Thanks!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMon, Oct 16, 7:35 PM